curl --request PUT \
--url https://realtime.nocodemapapp.com/v0/map/{mapId}/location/{locationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": {
"Name": "The Kooks Restaurant",
"Address": "Frammi við Gjónna, Leynavatn 410, Faroe Islands",
"key": "The Kooks Restaurant"
},
"order": "1"
}
'import requests
url = "https://realtime.nocodemapapp.com/v0/map/{mapId}/location/{locationId}"
payload = {
"fields": {
"Name": "The Kooks Restaurant",
"Address": "Frammi við Gjónna, Leynavatn 410, Faroe Islands",
"key": "The Kooks Restaurant"
},
"order": "1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: {
Name: 'The Kooks Restaurant',
Address: 'Frammi við Gjónna, Leynavatn 410, Faroe Islands',
key: 'The Kooks Restaurant'
},
order: '1'
})
};
fetch('https://realtime.nocodemapapp.com/v0/map/{mapId}/location/{locationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "The Kooks Restaurant",
"id": "04P1DY1YbwePX2rjKo3H",
"placeId": "ChIJ6_ktdpMVvEgRJBv3ZEgxsD8",
"latLngLiteral": {
"lat": "61.89263500000001",
"lng": "-6.911805999999999"
},
"properties": {
"Restaurant": "The Kooks Restaurant",
"Address": "Frammi við Gjónna, Leynavatn 410, Faroe Islands",
"key": "The Kooks Restaurant"
}
}
]{
"error": 123,
"message": "<string>"
}Update a Map Location
Update a location in a specific map
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the map to retrieve
ID of the map location to retrieve
Body
All data of this location as object. MUST include a name & address field that was specified at the creation of Map.
{
"Name": "The Kooks Restaurant",
"Address": "Frammi við Gjónna, Leynavatn 410, Faroe Islands",
"key": "The Kooks Restaurant"
}
By default locations are listed by {order} in ascending order. Specify if you have specific preference on where this location shall be shown in the list. By default, it’s appended to the end of list.
"1"
Response
Location response
The name of Location
"The Kooks Restaurant"
The ID of Location
"04P1DY1YbwePX2rjKo3H"
The placeId resolved (via geocoding) for this location
"ChIJ6_ktdpMVvEgRJBv3ZEgxsD8"
Show child attributes
Show child attributes
This object contains all the data fields that were passed in for this location at import/creation
{
"Restaurant": "The Kooks Restaurant",
"Address": "Frammi við Gjónna, Leynavatn 410, Faroe Islands",
"key": "The Kooks Restaurant"
}
